1. Market Data
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Market Data

Get topic event details

GET
/api/market/{categoryKey}/{topicKey}/events/{eventIdOrSlug}
Gets a single topic event detail by event id, event slug, or any market id/slug under the event.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/market/politics/iran/events/iran-nuclear-deal-2026' \
--header 'Accept-Language: zh_CN'

Responses

🟢200
application/json
Query successful
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "Operation successful",
    "data": {
        "id": "evt_2026_001",
        "ticker": "IRAN-NUCLEAR-2026",
        "slug": "iran-nuclear-deal-2026",
        "description": "Iran nuclear deal market",
        "startDate": "2026-05-01T00:00:00Z",
        "startTime": "2026-05-01T00:00:00Z",
        "eventEndDate": "2026-06-01T00:00:00Z",
        "active": true,
        "closed": false,
        "volume": 123456,
        "volume24hr": 2345,
        "liquidity": 56789,
        "topicKey": "iran",
        "detailMode": "GROUPED_SERIES",
        "marketCount": 2,
        "markets": [
            {
                "id": "512345",
                "question": "Will there be a deal by June 1?",
                "slug": "iran-deal-by-june-1",
                "conditionId": "0xcondition",
                "questionID": "question-1",
                "sportsMarketType": "moneyline",
                "outcomes": "[\"Yes\",\"No\"]",
                "outcomePrices": "[\"0.42\",\"0.58\"]",
                "bestBid": 0.41,
                "bestAsk": 0.43,
                "lastTradePrice": 0.42,
                "active": true,
                "closed": false,
                "clobTokenIds": "[\"1234567890\",\"0987654321\"]",
                "acceptingOrders": true,
                "negRisk": false
            }
        ]
    }
}
🟠400
🔴500ServerError
Modified at 2026-05-19 02:21:34
Previous
Get historical events in the same topic series
Next
My orders with pagination
Built with